import type { SingleElementArray_TransformationDefinitionStep_ } from "./SingleElementArray_TransformationDefinitionStep_";
import type { TransformationCachePolicy } from "./TransformationCachePolicy";
import type { TransformationDefinitionId } from "./TransformationDefinitionId";
import type { TransformationDescription } from "./TransformationDescription";
import type { TransformationTemplateConfig } from "./TransformationTemplateConfig";
import type { TransformationUrlSlug } from "./TransformationUrlSlug";
export declare type TransformationDefinition = {
    caching: TransformationCachePolicy | null;
    description: TransformationDescription;
    slug: TransformationUrlSlug;
    steps: SingleElementArray_TransformationDefinitionStep_;
    template: TransformationTemplateConfig | null;
    transformationId: TransformationDefinitionId;
};
